/***************************************************************************
                          config.h  -  description
                             -------------------
    begin                : Don Feb 13 2003
    copyright            : (C) 2003 by Matthias Bach
    email                : marix@marix-world.de
    
    This file is part of Brandubh, a game that was develop for BWInf2002
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// Nur generelle Informationen die das Program brauch

#ifndef CONFIG_H
#define CONFIG_H

#include <string>

#define VERSION 0.1W

// define the os of your choice (importent for resource-paths)
#define LINUX  // linux or compatible (shell with / for dirs)
// #define WIN // windows32 (shell with \ for dirs)

// um eine exe ohne nervige meldungen zu halten DEBUG kommentieren
//#define DEBUG

#ifdef LINUX
#define APP_ICON "gfx/icon.bmp"
#endif
#ifdef WIN
#define APP_ICON "gfx\\icon.bmp"
#endif

// die gre der Felder
#define FELD_BREITE 64
#define FELD_HOEHE 64

// die feld-bilder
#ifdef LINUX
#define GFX_FELD_LEER "gfx/feld_leer.png"
#define GFX_FELD_AUSGEWAEHLT "gfx/feld_ausgewaehlt.png"
#define GFX_SCHWARZE_FIGUR "gfx/schwarze_figur.png"
#define GFX_WEISSE_FIGUR "gfx/weisse_figur.png"
#define GFX_WEISSER_KOENIG "gfx/weisser_koenig.png"
#define GFX_THRON "gfx/thron.png"
#endif

#ifdef WIN
#define GFX_FELD_LEER "gfx\\feld_leer.png"
#define GFX_FELD_AUSGEWAEHLT "gfx\\feld_ausgewaehlt.png"
#define GFX_SCHWARZE_FIGUR "gfx\\scharze_figur.png"
#define GFX_WEISSE_FIGUR "gfx\\weisse_figur.png"
#define GFX_WEISSER_KOENIG "gfx\\weisser_koenig.png"
#define GFX_THRON "gfx\\thron.png"
#endif

// die gre des Gesamtspielfelde
#define SPIELFELD_SPALTEN 7
#define SPIELFELD_REIHEN 7

// wie sollen knpfe aussehen
#ifdef LINUX
#define KNOPF_HINTERGRUND "gfx/button_background.png"
#endif
#ifdef WIN
#define KNOPF_HINTERGRUND "gfx\\button_background.png"
#endif

// paths for help-texts
#ifdef LINUX
#define HELP_SPIELTYP "help/spieltyp.hlp"
#define HELP_NAMEN "help/namen.hlp"
#define HELP_SAVE "help/speichern.hlp"
#define HELP_LOAD "help/laden.hlp"
#define HELP_SPIELANFANG "help/spielanfang.hlp"
#define HELP_THRON "help/thron.hlp"
#define HELP_SCHLAGEN "help/schlagen.hlp"
#define HELP_MOEGL_ZUEGE "help/mglZuege.hlp"
#define HELP_GESCHICHTE "help/geschichte.hlp"
#define HELP_ENDE "help/spielende.hlp"
#define HELP_ZIEHEN "help/ziehen.hlp"
#define HELP_BESETZT "help/besetzt.hlp"
#define HELP_SCHIEF "help/schiefZiehen.hlp"
#define HELP_3TIMES "help/3wiederholt.hlp"
#define HELP_NIX_GEHT "help/nixGeht.hlp"
#define HELP_WIN_WEISS "help/spielgewinnWeiss.hlp"
#define HELP_WIN_SCHWARZ "help/spielgewinnSchwarz.hlp"
#endif

#ifdef WINDOWS
#define HELP_SPIELTYP "help\\spieltyp.hlp"
#define HELP_NAMEN "help\\namen.hlp"
#define HELP_SAVE "help\\speichern.hlp"
#define HELP_LOAD "help\\laden.hlp"
#define HELP_SPIELANFANG "help\\spielanfang.hlp"
#define HELP_THRON "help\\thron.hlp"
#define HELP_SCHLAGEN "help\\schlagen.hlp"
#define HELP_MOEGL_ZUEGE "help\\mglZuege.hlp"
#define HELP_GESCHICHTE "help\\geschichte.hlp"
#define HELP_ENDE "help\\spielende.hlp"
#define HELP_ZIEHEN "help\\ziehen.hlp"
#define HELP_BESETZT "help\\besetzt.hlp"
#define HELP_SCHIEF "help\\schiefZiehen.hlp"
#define HELP_3TIMES "help\\3wiederholt.hlp"
#define HELP_NIX_GEHT "help\\nixGeht.hlp"
#define HELP_WIN_WEISS "help\\spielgewinnWeiss.hlp"
#define HELP_WIN_SCHWARZ "help\\spielgewinnSchwarz.hlp"
#endif

// der im spiel zu verwendende font
#define FONT "comic.ttf"
#define TEXTGROESSE 12

extern std::string nameWeiss;
extern std::string nameSchwarz;   


#endif
