/***************************************************************************
                          display.cpp  -  description
                             -------------------
    begin                : Don Feb 20 2003
    copyright            : (C) 2003 by Matthias Bach
    email                : marix@marix-world.de

    This file is part of Brandubh, a game that was develop for BWInf2002
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "display.h"
#include "help.h"

#include <SDL/SDL.h> 
#include <SDL/SDL_image.h>
#include <iostream>
using namespace std;
 

SGUI_Window Fenster;
SGUI_Dialog * Spieltyp;
SGUI_Dialog * Spielfeld;
SGUI_Dialog * Hilfe;
SGUI_Dialog * Name;
SGUI_Dialog * GameOver;
SGUI_Dialog * Menue;
SGUI_Dialog * About;
SGUI_Dialog * DateiDialog;

SGUI_Textfield * HilfeText;
SGUI_Textfield * NameText;
SGUI_Textfield * NameInput;
SGUI_Textfield * GameOverText;
SGUI_Textfield * zugNachricht;
SGUI_Textfield * Titel;
SGUI_Textfield * DateiText;
SGUI_Textfield * DateiInput;

// und natrlich die felder
Feld * Felder[SPIELFELD_SPALTEN * SPIELFELD_REIHEN];

// und die bilder der felder
SDL_Surface * feld;
SDL_Surface * feld_markiert;
SDL_Surface * schwarz;
SDL_Surface * weiss;
SDL_Surface * koenig;
SDL_Surface * thron;

Knopf * NameOK;
Knopf * SpeicherKnopf;
Knopf * DateiOK;
Knopf * CancelOptions;

Knopf * Hilfeknopf;
Knopf * HilfeOptionen;
Knopf * HilfeThron;
Knopf * HilfeSchlagen;
Knopf * Moeglichkeiten;
Knopf * HilfeGeschichte;
Knopf * HilfeSpielende;
Knopf * HilfeZiehen;


// lokale prototypen
void beende();
void zeigeOptionen();
void zeigeAbout();
void hideAbout();
void cancelOptions();

void showHelpIndex();
void hideHelpIndex();

void zeigeOptionenHilfe();
void zeigeThronHilfe();
void zeigeSchlagenHilfe();
void zeigeMoeglichkeitenHilfe();
void zeigeGeschichte();
void zeigeSpielendeHilfe();
void zeigeZiehenHilfe();

 
int initDialoge(int (*feldGewaehlt)(int), void (*initZweiSpieler)(), void (*restart)(), void (*zeigeZuege)(), void (*lade)(), void (*speicher)())
{
	// zeige das fenster schonmal damit das pixel-format initialisiert wird
	Fenster.show();                 

	// reservier schon mal speicher fr die dialog
	// mssen dummerweise mal kurz hinzugefgt werde damit
	// textfelder funktionoieren
	Spieltyp = new SGUI_Dialog;
	Fenster.addObject(Spieltyp);
	Fenster.removeObject(Spieltyp);
	
	Spielfeld = new SGUI_Dialog;
	Fenster.addObject(Spielfeld);
	Fenster.removeObject(Spielfeld);
	
	Hilfe = new SGUI_Dialog;
	Fenster.addObject(Hilfe);
	Fenster.removeObject(Hilfe);

	Name = new SGUI_Dialog;
	Fenster.addObject(Name);
	Fenster.removeObject(Name);

	GameOver = new SGUI_Dialog;
	Fenster.addObject(GameOver);
	Fenster.removeObject(GameOver);
	
	Menue = new SGUI_Dialog;
  Fenster.addObject(Menue);
  Fenster.removeObject(Menue);
	
	About = new SGUI_Dialog;
	Fenster.addObject(About);
	Fenster.removeObject(About);
	
	DateiDialog = new SGUI_Dialog;
	Fenster.addObject(DateiDialog);
	Fenster.removeObject(DateiDialog);
	
	// reservier auch schon mal speicher fr alle Textfelder
	SGUI_Textfield * Ueberschrift = new SGUI_Textfield;
  Menue->addObject(Ueberschrift);
  Menue->removeObject(Ueberschrift);
	
	SGUI_Textfield * AboutUeberschrift = new SGUI_Textfield;
  About->addObject(AboutUeberschrift);
  About->removeObject(AboutUeberschrift);
	
	SGUI_Textfield * AboutText = new SGUI_Textfield;
  About->addObject(AboutText);
  About->removeObject(AboutText);
	
  HilfeText = new SGUI_Textfield;
  Hilfe->addObject(HilfeText);
  Hilfe->removeObject(HilfeText);
  
	NameText = new SGUI_Textfield;
  Name->addObject(NameText);
  Name->removeObject(NameText);
	
	NameInput = new SGUI_Textfield;
  Name->addObject(NameInput);
  Name->removeObject(NameInput);
	
	GameOverText = new SGUI_Textfield;
  GameOver->addObject(GameOverText);
  GameOver->removeObject(GameOverText);
	        
	zugNachricht = new SGUI_Textfield;
  Menue->addObject(zugNachricht);
  Menue->removeObject(zugNachricht);
	
	Titel = new SGUI_Textfield;
  Menue->addObject(Titel);
  Menue->removeObject(Titel);
	
	DateiText = new SGUI_Textfield;
	DateiDialog->addObject(DateiText);
	DateiDialog->removeObject(DateiText);
	
	DateiInput = new SGUI_Textfield;
	DateiDialog->addObject(DateiInput);
	DateiDialog->removeObject(DateiInput);

	SGUI_Textfield * GameOverHeader = new SGUI_Textfield;
	GameOver->addObject(GameOverHeader);
	GameOver->removeObject(GameOverHeader);

	// sowie die spielfeld-felder
	for(unsigned int i = 0; i < SPIELFELD_SPALTEN * SPIELFELD_REIHEN; i++)
		Felder[i] = new Feld(i, feldGewaehlt);

	// Initialisiere den Spieltyp
	// Zeige einen Dialog zur Auswahl des Spieltyps
	// Zunchst gibt es nur die Zweispieleroption

	Spieltyp->x = 119;
	Spieltyp->y = 150;
	Spieltyp->setBackgroundColor(0, 65, 0);
	Spieltyp->setSize(276, 365);

  // berschrift
 	Ueberschrift->setSize(300, 50);
  Ueberschrift->setTextColor(0, 0, 0, 0);
  Ueberschrift->setFont(FONT, 3 * TEXTGROESSE);
  Ueberschrift->x = 40;
  Ueberschrift->y = 20;
  Ueberschrift->setText("Optionen");

  //Knopf, der Zweispielermodus auswhlen lsst.
	Knopf * Zweispielerknopf = new Knopf("Neues Spiel");
	Zweispielerknopf->setAction(initZweiSpieler);
	Zweispielerknopf->x = 10;
	Zweispielerknopf->y = 80;

	// Knopf zum laden eines Spielstandes
	Knopf * LadeKnopf = new Knopf("Spiel laden");
	LadeKnopf->setAction(lade);
	LadeKnopf->x = 10;
	LadeKnopf->y = 135;

	// Knopf zum speichern eines Spielstandes
	SpeicherKnopf = new Knopf("Spiel speichern");
	SpeicherKnopf->setAction(speicher);
	SpeicherKnopf->x = 10;
	SpeicherKnopf->y = 190;

	// Knopf um aus dem Optionenmenue herauszukommen
	CancelOptions = new Knopf("Zurueck");
	CancelOptions->setAction(cancelOptions);
	CancelOptions->x = 10;
	CancelOptions->y = 245;

	//Knopf, der das Spiel beenden lsst
	Knopf * EndeKnopf = new Knopf("Beenden");
	EndeKnopf->setAction(beende);
	EndeKnopf->x = 10;
	EndeKnopf->y = 300;


  Fenster.addObject(Spieltyp);
  Spieltyp->addObject(Ueberschrift);
  Spieltyp->addObject(Zweispielerknopf);
  Spieltyp->addObject(LadeKnopf);
  Spieltyp->addObject(EndeKnopf);
  // es wird ja eh noch nichts angezeigt ;)
  Fenster.removeObject(Spieltyp);

  // bringe auch schon mal das Hilfemen hoch,
  // hierzu wird der Hilfe-dialog mit hilfe-berschrift-knopf gebraucht

  Hilfe->setSize(276, 580);
  Hilfe->setBackgroundColor(0, 65, 0);
  Hilfe->x = 514;
  Hilfe->y = 10;

  Hilfeknopf = new Knopf("Hilfe");
  Hilfeknopf->setAction(showHelpIndex);
	Hilfeknopf->x = 10;
	Hilfeknopf->y = 0;


  // die knpfe um zu den einzelnen hilfethemen zu kommen

	HilfeZiehen = new Knopf("Ziehen");
	HilfeZiehen->setAction(zeigeZiehenHilfe);
	HilfeZiehen->x = 10;
	HilfeZiehen->y = 75;
	
	HilfeSchlagen = new Knopf("Schlagen");
	HilfeSchlagen->setAction(zeigeSchlagenHilfe);
	HilfeSchlagen->x = 10;
	HilfeSchlagen->y = 130;

	HilfeThron = new Knopf("Thronfeld");
	HilfeThron->setAction(zeigeThronHilfe);
	HilfeThron->x = 10;
	HilfeThron->y = 185;
	
	HilfeSpielende = new Knopf("Spielende");
	HilfeSpielende->setAction(zeigeSpielendeHilfe);
	HilfeSpielende->x = 10;
	HilfeSpielende->y = 240;
	
	HilfeGeschichte = new Knopf("Geschichte");
	HilfeGeschichte->setAction(zeigeGeschichte);
	HilfeGeschichte->x = 10;
	HilfeGeschichte->y = 295;
	
  HilfeOptionen = new Knopf("Optionen");
  HilfeOptionen->setAction(zeigeOptionenHilfe);
  HilfeOptionen->x = 10;
  HilfeOptionen->y = 350;	

	// natrlich auch das Textfeld fr hilfeText

	HilfeText->setSize(256, 475);
	HilfeText->setTextColor(0,0,0,0);
	HilfeText->setFont(FONT, TEXTGROESSE);
	HilfeText->x = 10;
	HilfeText->y = 53;
	HilfeText->setText("The help will go here!");

	Moeglichkeiten = new Knopf("Moegl. Zuege");
	Moeglichkeiten->setAction(zeigeZuege);
	Moeglichkeiten->x = 10;
	Moeglichkeiten->y = 520;


  // und alles auf's fenster bringen
  Fenster.addObject(Hilfe);
  Hilfe->addObject(Hilfeknopf);
  Hilfe->addObject(HilfeText);
  Hilfe->addObject(Moeglichkeiten);
  Fenster.removeObject(Hilfe);


  // Dialog um einen Namen eingeben zu knnen
  Name->setSize(456, 4 * TEXTGROESSE + 64);
  Name->setBackgroundColor(0, 65, 0);
  Name->x = 19;
  Name->y = 150;

  NameText->setSize(436, 2 * TEXTGROESSE);
  NameText->setTextColor(0,0,0,0);
  NameText->setFont(FONT, 3 * TEXTGROESSE / 2);
  NameText->x = 10;
  NameText->y = 10;
  // der text muss von der benutzenden funktion aufgerufen werden

  NameInput->setSize(436, 2 * TEXTGROESSE);
  NameInput->writeable = true;
  NameInput->setTextColor(0,0,0,0);
  NameInput->setFont(FONT, TEXTGROESSE);
  NameInput->x = 10;
  NameInput->y = 10 + 2 * TEXTGROESSE;
  // auch hier muss der text von der fragenden funktion geschrieben werden

  NameOK = new Knopf("OK");
  // aufzurufende funktion muss gesetzt werden
  NameOK->x = 180;
  NameOK->y = 4 * TEXTGROESSE;

  Fenster.addObject(Name);
  Name->addObject(NameText);
  Name->addObject(NameInput);
  Name->addObject(NameOK);
  Fenster.removeObject(Name);


  // Das Hauptmenue, welche immer in der rechten oberen Ecke ist
  Menue->setSize(468, 108);
  Menue->setBackgroundColor(0,65,0);
  Menue->x = 10;
  Menue->y = 10;

	// Knopf um das Optionsmenue aufzurufen
	Knopf * Optionen = new Knopf("Optionen");
	Optionen->x = 3;
	Optionen->y = 50;
	Optionen->setAction(zeigeOptionen);

	Knopf * AboutKnopf = new Knopf("About");
	AboutKnopf->x = 210;
	AboutKnopf->y = 50;
	AboutKnopf->setAction(zeigeAbout);

	Titel->setSize(300, 50);
	Titel->x = 10;
	Titel->y = 5;
	Titel->setTextColor(0,0,0,0);
	Titel->setFont(FONT, 3 * TEXTGROESSE);
	Titel->setText("BRANDUBH 0.1W");

	zugNachricht->setSize(138, 50);
	zugNachricht->x = 320;
	zugNachricht->y = 10;
	zugNachricht->setTextColor(0,0,0,0);
	zugNachricht->setFont(FONT, 5 * TEXTGROESSE / 4);
	zugNachricht->setText("");
	

	Fenster.addObject(Menue);

	Menue->addObject(Optionen);
	Menue->addObject(AboutKnopf);
	Menue->addObject(Titel);
	Menue->addObject(zugNachricht);

	Fenster.removeObject(Menue);

	// Das Spielfeld als darstellbares object
	Spielfeld->setSize(SPIELFELD_SPALTEN * FELD_BREITE + 20, SPIELFELD_REIHEN * FELD_HOEHE + 20);
	Spielfeld->setBackgroundColor(0,65,0);
	Spielfeld->x = 10;
	Spielfeld->y = 600 - (SPIELFELD_REIHEN * FELD_HOEHE + 30);
	Fenster.addObject(Spielfeld);

	// lade die bilder, um sie and ie felder zu bergeben
	feld = IMG_Load(GFX_FELD_LEER);
	if(feld == NULL)
	{
		cerr << IMG_GetError() << endl;
		cerr << "Konnte Bild feld_leer.png nicht laden!" << endl;
		return -1;
	}
	feld_markiert = IMG_Load(GFX_FELD_AUSGEWAEHLT);
	if(feld_markiert == NULL)
	{
		cerr << IMG_GetError() << endl;
		cerr << "Konnte Bild feld_ausgewaehlt.png nicht laden!" << endl;
		return -1;
	}
	schwarz = IMG_Load(GFX_SCHWARZE_FIGUR);
	if(schwarz == NULL)
	{
		cerr << IMG_GetError() << endl;
		cerr << "Konnte Bild schwarze_figur.png nicht laden!" << endl;
		return -1;
	}
	weiss = IMG_Load(GFX_WEISSE_FIGUR);
	if(weiss == NULL)
	{
		cerr << IMG_GetError() << endl;
		cerr << "Konnte Bild weisse_figur.png nicht laden!" << endl;
		return -1;
	}
	koenig = IMG_Load(GFX_WEISSER_KOENIG);
	if(koenig == NULL)
	{
		cerr << IMG_GetError() << endl;
		cerr << "Konnte Bild weisser_koenig.png nicht laden!" << endl;
		return -1;
	}
	thron = IMG_Load(GFX_THRON);
	if(thron == NULL)
	{
		cerr << IMG_GetError() << endl;
		cerr << "Konnte Bild thron.png nicht laden!" << endl;
		return -1;
	}


	// fge die felder hinzu
	for(unsigned int i = 0; i < SPIELFELD_SPALTEN * SPIELFELD_REIHEN; i++)
	{
		Felder[i]->x = (i % SPIELFELD_SPALTEN) * FELD_BREITE + 10;
		Felder[i]->y = (i / SPIELFELD_SPALTEN) * FELD_HOEHE + 10;

		Felder[i]->feld = feld;
    Felder[i]->feld_markiert = feld_markiert;
    Felder[i]->schwarz = schwarz;
    Felder[i]->weiss = weiss;
    Felder[i]->koenig = koenig;
    Felder[i]->thron = thron;

  	Spielfeld->addObject(Felder[i]);
	}


	// initialisiere GameOver-Dialog
  GameOver->x = 200;
  GameOver->y = 150;
  GameOver->setSize(276, 11 * TEXTGROESSE + 170);
  GameOver->setBackgroundColor(0, 65, 0);

  GameOverHeader->setSize(300, 3 * TEXTGROESSE + 10);
  GameOverHeader->setTextColor(0, 0, 0, 0);
  GameOverHeader->setFont(FONT, 3 * TEXTGROESSE);
  GameOverHeader->x = 40;
  GameOverHeader->y = 20;
  GameOverHeader->setText("Game Over");

  GameOverText->setSize(300, 8*TEXTGROESSE + 10);
  GameOverText->setFont(FONT, 2*TEXTGROESSE);
  GameOverText->x = 10;
  GameOverText->y = 30 + 3 * TEXTGROESSE;
  GameOverText->setText("test");

  Knopf * Nochmal = new Knopf("Nochmal");
  Nochmal->x = 10;
  Nochmal->y = 55 + 10 * TEXTGROESSE;
  Nochmal->setAction(restart);

  Knopf * Ende = new Knopf("Beenden");
  Ende->x = 10;
  Ende->y = 110 + 10 * TEXTGROESSE;
  Ende->setAction(beende);

  Fenster.addObject(GameOver);
  GameOver->addObject(Nochmal);
  GameOver->addObject(Ende);
  GameOver->addObject(GameOverText);
  GameOver->addObject(GameOverHeader);
  Fenster.removeObject(GameOver);



  // About-Box

  About->x = 60;
  About->y = 150;
  About->setSize(380, 355);
  About->setBackgroundColor(0, 65, 0);

 	AboutUeberschrift->setSize(300, 50);
  AboutUeberschrift->setTextColor(0, 0, 0, 0);
  AboutUeberschrift->setFont(FONT, 3 * TEXTGROESSE);
  AboutUeberschrift->x = 40;
  AboutUeberschrift->y = 10;
  AboutUeberschrift->setText("About Brandubh");


  AboutText->setSize(360, 280);
  AboutText->setTextColor(0, 0, 0, 0);
  AboutText->setFont(FONT, TEXTGROESSE);
  AboutText->x = 10;
  AboutText->y = 60;
  AboutText->setText("Version: 0.1W\nAuthor: Matthias Bach\nDiese Version dieses Spieles wurde speziell fuer meine\nGeschwister zu Weihnachten 2004 erstellt. Sie enthaelt einige\nBugfixes und laeuft jetzt auch unter Windows.\nUrspruenglich wurde dieses Spiel als Loesung fuer eine Aufgabe\ndes 21.Bundeswettbewerbes Informatik geschrieben. Saemtlicher\nCode und auch die wenige Artwork von Version 0.1 stammt\nvon Matthias Bach.\nDieses Programm, sowie die dazugehrigen Graphikdateien\nunterliegen der GPL. Die GPL sollte dem Programm beiliegen,\nansonsten ist sie unter www.gnu.org online einsehbar.");

  Knopf * AboutCloseKnopf = new Knopf("Schliessen");
  AboutCloseKnopf->setAction(hideAbout);
  AboutCloseKnopf->x = 120;
  AboutCloseKnopf->y = 295;

  Fenster.addObject(About);
  About->addObject(AboutUeberschrift);
  About->addObject(AboutText);
  About->addObject(AboutCloseKnopf);
  Fenster.removeObject(About);


  // Dialog um einen Dateinamen zum laden/speichern einzugeben
  DateiDialog->setSize(456, 4 * TEXTGROESSE + 64);
  DateiDialog->setBackgroundColor(0, 65, 0);
  DateiDialog->x = 19;
  DateiDialog->y = 150;

  DateiText->setSize(436, 2 * TEXTGROESSE);
  DateiText->setTextColor(0,0,0,0);
  DateiText->setFont(FONT, 3 * TEXTGROESSE / 2);
  DateiText->x = 10;
  DateiText->y = 10;
  // der text muss von der benutzenden funktion aufgerufen werden

  DateiInput->setSize(436, 2 * TEXTGROESSE);
  DateiInput->writeable = true;
  DateiInput->setTextColor(0,0,0,0);
  DateiInput->setFont(FONT, TEXTGROESSE);
  DateiInput->x = 10;
  DateiInput->y = 10 + 2 * TEXTGROESSE;
  // auch hier muss der text von der fragenden funktion geschrieben werden

  DateiOK = new Knopf("OK");
  // aufzurufende funktion muss gesetzt werden
  DateiOK->x = 180;
  DateiOK->y = 4 * TEXTGROESSE;

  Fenster.addObject(DateiDialog);
  DateiDialog->addObject(DateiText);
  DateiDialog->addObject(DateiInput);
  DateiDialog->addObject(DateiOK);
  Fenster.removeObject(DateiDialog);


	return 42;
}


void unloadDialoge()
{
	SDL_FreeSurface(feld);
	SDL_FreeSurface(feld_markiert);
	SDL_FreeSurface(schwarz);
	SDL_FreeSurface(koenig);
	SDL_FreeSurface(weiss);
	SDL_FreeSurface(thron);

	// eigenltich entfernt das fenster ja alles aus dem speicher,
	// aber da nicht alle objekte immer im fenster sind...
	// entferne vom fenster falls noch dort, ansonsten lsche
	Fenster.removeObject(Spieltyp);
	delete Spieltyp;
	Fenster.removeObject(Name);
	delete Name;
	Fenster.removeObject(Hilfe);
	delete Hilfe;
	Fenster.removeObject(Spielfeld);
	delete Spielfeld;
	Fenster.removeObject(GameOver);
	delete GameOver;
	Fenster.removeObject(Menue);
	delete Menue;
	Fenster.removeObject(DateiDialog);
	delete DateiDialog;
	return;

	// der speicherKnopf ist manchmal abgeschlatet
	if(SpeicherKnopf != NULL)
		delete SpeicherKnopf;

	// die hilfeknpfe sind nicht immer sichtbar
	if(HilfeOptionen != NULL)
		delete HilfeOptionen;
	if(HilfeThron != NULL)
		delete HilfeThron;
	if(HilfeSchlagen != NULL)
		delete HilfeSchlagen;
	if(HilfeGeschichte != NULL)
		delete HilfeGeschichte;
	if(HilfeSpielende != NULL)
		delete HilfeSpielende;
	if(HilfeZiehen != NULL)
		delete HilfeZiehen;
}



void beende()
{
	// mach schluss
	SDL_Event event;
	event.type = SDL_QUIT;
	SDL_PushEvent(&event);
}

void zeigeOptionen()
{
	zeigeOptionenHilfe();
	Fenster.addObject(Spieltyp);
}

void zeigeAbout()
{
	Fenster.addObject(About);
}

void hideAbout()
{
	Fenster.removeObject(About);
}

void cancelOptions()
{
	zeigeHilfe(HELP_SPIELANFANG);
	Fenster.removeObject(Spieltyp);
}

void showHelpIndex()
{
	// entferne den hilfeText
	Hilfe->removeObject(HilfeText);
	// fge alle Knpfe zur Hilfe hinzu

	Hilfe->addObject(HilfeOptionen);
	Hilfe->addObject(HilfeThron);
	Hilfe->addObject(HilfeSchlagen);
	Hilfe->addObject(HilfeGeschichte);
	Hilfe->addObject(HilfeSpielende);
	Hilfe->addObject(HilfeZiehen);

	// rcke den moeglichkeiten-knopf in das Menue
	Moeglichkeiten->y = 405;
	Moeglichkeiten->setAction(zeigeMoeglichkeitenHilfe);



	// Man kann den Index ber den Hilfeknopf wieder verschweinden lassen
	Hilfeknopf->setAction(hideHelpIndex);
	return;
}

void hideHelpIndex()
{
  // entferne wieder alle Hilfeknpfe

  Hilfe->removeObject(HilfeOptionen);
	Hilfe->removeObject(HilfeThron);
	Hilfe->removeObject(HilfeSchlagen);
	Hilfe->removeObject(HilfeGeschichte);
	Hilfe->removeObject(HilfeSpielende);
	Hilfe->removeObject(HilfeZiehen);

	// gib dem mglichkeiten-knopf seine alte funktion
	Moeglichkeiten->y = 520;
	Moeglichkeiten->setAction(zeigeZuege);
  
  // zeige wieder den text
  Hilfe->addObject(HilfeText);

  // ber den Hilfeknopf soll man den Index wieder aufrufen knnen
  Hilfeknopf->setAction(showHelpIndex);
  return;
}


void zeigeOptionenHilfe()
{
	zeigeHilfe(HELP_SPIELTYP);
	hideHelpIndex();
	return;
}

void zeigeThronHilfe()
{
	zeigeHilfe(HELP_THRON);
	hideHelpIndex();
	return;
}

void zeigeSchlagenHilfe()
{
	zeigeHilfe(HELP_SCHLAGEN);
	hideHelpIndex();
	return;
}

void zeigeMoeglichkeitenHilfe()
{
	zeigeHilfe(HELP_MOEGL_ZUEGE);
	hideHelpIndex();
	return;
}

void zeigeGeschichte()
{
	zeigeHilfe(HELP_GESCHICHTE);
	hideHelpIndex();
	return;
}

void zeigeSpielendeHilfe()
{
	zeigeHilfe(HELP_ENDE);
	hideHelpIndex();
	return;
}

void zeigeZiehenHilfe()
{
	zeigeHilfe(HELP_ZIEHEN);
	hideHelpIndex();
}
