/***************************************************************************
                          display.h  -  description
                             -------------------
    begin                : Don Feb 20 2003
    copyright            : (C) 2003 by Matthias Bach
    email                : marix@marix-world.de

    This file is part of Brandubh, a game that was develop for BWInf2002
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DISPLAY_H
#define DISPLAY_H

#include "config.h"
 
#include <SDL/SDL.h>
#include "sgui/sgui_window.h"


#include "feld.h"
#include "knopf.h"


extern SGUI_Window Fenster;
extern SGUI_Dialog * Spieltyp;
extern SGUI_Dialog * Spielfeld;
extern SGUI_Dialog * Hilfe;
extern SGUI_Dialog * Name;
extern SGUI_Dialog * GameOver;
extern SGUI_Dialog * Menue;
extern SGUI_Dialog * DateiDialog;

extern SGUI_Textfield * HilfeText;
extern SGUI_Textfield * NameText;
extern SGUI_Textfield * NameInput;
extern SGUI_Textfield * GameOverText;
extern SGUI_Textfield * zugNachricht;
extern SGUI_Textfield * DateiText;
extern SGUI_Textfield * DateiInput;

// und natrlich die felder
extern Feld * Felder[SPIELFELD_SPALTEN * SPIELFELD_REIHEN];

// und die bilder der felder 
extern SDL_Surface * feld;
extern SDL_Surface * feld_markiert;
extern SDL_Surface * schwarz;
extern SDL_Surface * weiss;
extern SDL_Surface * koenig;

extern Knopf * NameOK;
extern Knopf * SpeicherKnopf;
extern Knopf * DateiOK;
extern Knopf * CancelOptions;



/** initialisiert die Dialogfenster, so dass sie spter nur noch angezeigt, und ihr Text aktualisiert
	werden mssen */
int initDialoge(int (*feldGewaehlt)(int), void (*initZweiSpieler)(), void (*restart)(), void (*zeigeZuege)(), void (*lade)(), void (*speicher)());
void unloadDialoge();


#endif

