/***************************************************************************
                          feld.h  -  description
                             -------------------
    begin                : Die Feb 18 2003
    copyright            : (C) 2003 by Matthias Bach
    email                : marix@marix-world.de

    This file is part of Brandubh, a game that was develop for BWInf2002
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FELD_H
#define FELD_H

#include "sgui/sgui_object.h"

#include "config.h"

// die Werte, die auf dem Feld stehen knnen
#define NIEMAND 0
#define SCHWARZ 1
#define WEISS 2
#define KOENIG 3

/**Ein simples Feld des Spielfeldes, dass auerdem auch noch gemalt werde kann ;)
  *@author Matthias Bach
  */

class Feld : public SGUI_Object  {
public: 
	Feld(int nr, int (*feldGewaehlt)(int nr));
	~Feld();
  /** Setzt eine Figur auf das Feld. Mgliche werte sind:
NIEMAND
SCHWARZ
WEISS
KOENIG */
  int setze(int wen);
  /** Gibt zurck, wer auf dem Feld steht.
NIEMAND
SCHWARZ
WEISS oder
KOENIG */
  int wer(void);
  /** Sorgt dafr das das Feld, solange die Maustaste gedrckt ist, schn markiert erschein, und sorgt dafr, dass feldGewaehlt() bei einem click aufgerufen wird */
  int message(SDL_Event * event);
private: // Private attributes
  /** Wer steht auf dem Feld?
NIEMAND
SCHWARZ
WEISS
KOENIG */
  int besetzt;
  /** Die Nummer des Feldes. Diese wird beim init gesetzt */
  int nr;
public: // Public attributes
  /** Wenn war, ist das Feld (fr einen zug) angewhlt. */
  int ausgewaehlt;
  /** Zeiger auf das Bild eines leeren Feldes */
  SDL_Surface * feld;
  /** Zeiger auf das Bild eines markierten leeren Feldes */
  SDL_Surface * feld_markiert;
  /** Zeiger auf das Bild einer schwarzen Figur */
  SDL_Surface * schwarz;
  /** Zeiger auf das Bild einer weien Figur */
  SDL_Surface * weiss;
  /** Zeiger auf das Bild des weien Knigs */
  SDL_Surface * koenig;
  /**  */
  SDL_Surface * thron;

private: // Private methods
  /** Pointer zu einer Funktion, die von Feld aufgerufen wird, wenn es geklickt wurd, und der es seine nummer mitteilt */
  int (*feldGewaehlt)(int nr);
};

#endif
