/***************************************************************************
                          help.cpp  -  description
                             -------------------
    begin                : Mit Feb 26 2003
    copyright            : (C) 2003 by Matthias Bach
    email                : marix@marix-world.de

    This file is part of Brandubh, a game that was develop for BWInf2002
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <SDL/SDL.h>

#include <vector> 
#include <iostream>
#include <fstream> // fr auslesen der hilfedateien
using namespace std;

#include "help.h"
#include "display.h"
#include "snapshots.h"
#include "spiel.h"
#include "zug.h"


#define ANI_TIME 500	// die pausen in der zugprsentation

int zeigeHilfe(string sDatei)
{
	string tmp;
	char ch;

	// verbinde stream mit datei
	ifstream Datei(sDatei.c_str());

	if(!Datei)
	{
		cerr << "Hilfedatei " << sDatei << " konnte nicht geffnet werden!" << endl;
		HilfeText->setText("Hilfedatei " + sDatei + " konnte\n nicht geoeffnet werden!");
		return -1;
	}

	// hole immer einen char aus der datei und fge ihn der hilfe hinzu
	while(!Datei.eof()) {
		Datei.get(ch); 
		tmp += ch;
	}

  HilfeText->setText(tmp);
	
	// das war's auch schon, die datei wird beim beenden der funktion automatisch geschlossen
	return 42;
}


void zeigeZuege()
{
	char wer = dran();
	
	// pausiere das Spiel, nicht notwendig, solange man die pause nicht abbrechen kann
//  pause(1);
	
	vector<Zug> Zuege;

	Zug tmp;

	// probiere von jedem feld, auf jedes feld zu ziehen (das verursacht zwar eine menge fehler, aber egal)
	for(int von = 0; von < SPIELFELD_SPALTEN * SPIELFELD_REIHEN; von++)
		for(int nach = 0; nach < SPIELFELD_SPALTEN * SPIELFELD_REIHEN; nach++)
		{
			if(nach != von)
			{
				// schaue, ob die figur berhaupt dem aktuellen spieler gehrt
				if(wer == Felder[von]->wer() || (Felder[von]->wer() == KOENIG && wer == WEISS))
				{				
					if(ziehe(von, nach, true) == 42)
					{
						tmp.von = von;
						tmp.nach = nach;
						Zuege.push_back(tmp);
					}
				}
			}
		}

	if(Zuege.size() == 0)
	{
		HilfeText->setText("Es sind leider keine Zuege moeglich!");
		pause(0);
		return;
	}

	zeigeHilfe("help/mglZuege.hlp");

	// zeige die zge an

	for(unsigned int i = 0; i < Zuege.size(); i++)
	{
		// markiere die Figur die ziehen kann
		Felder[Zuege[i].von]->ausgewaehlt++;
		Felder[Zuege[i].von]->setze(Felder[Zuege[i].von]->wer());

		Fenster.draw();
		SDL_Delay(ANI_TIME);

    // ziehe die figur und markiere das Zielfeld
    Felder[Zuege[i].nach]->ausgewaehlt++;
    Felder[Zuege[i].nach]->setze(Felder[Zuege[i].von]->wer());
    Felder[Zuege[i].von]->setze(NIEMAND);
    
		Fenster.draw();
    SDL_Delay(ANI_TIME);

    // demarkiere die Felder && stelle das feld wieder her
    Felder[Zuege[i].von]->ausgewaehlt--;
    Felder[Zuege[i].nach]->ausgewaehlt--;
    Felder[Zuege[i].von]->setze(Felder[Zuege[i].nach]->wer());
    Felder[Zuege[i].nach]->setze(NIEMAND);
    
		Fenster.draw();
		SDL_Delay(ANI_TIME / 2);
	}


	// beende die pause
//	pause(0);

	return;
}
