/***************************************************************************
                          knopf.cpp  -  description
                             -------------------
    begin                : Die Feb 18 2003
    copyright            : (C) 2003 by Matthias Bach
    email                : marix@marix-world.de

    This file is part of Brandubh, a game that was develop for BWInf2002
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "knopf.h"

// um pngs laden zu knnen
#include <SDL/SDL_image.h>
#include <SDL/SDL_ttf.h>

#include <iostream>
using namespace std;

Knopf::Knopf(string text){
	this->actionSet = false;
	
	// lade den hintergrund in den aktuellen surface
	this->surface = IMG_Load(KNOPF_HINTERGRUND);

	if(this->surface == NULL)
	{
	    cerr << IMG_GetError() << endl;
		cerr << "Couln't load Image!" << endl;
		this->pxHeight = 0;
		this->pxWidth = 0;
		return;
	}

  // passe Gre des Knopfes an den Hintergrund an
	this->pxWidth = this->surface->w;
	this->pxHeight = this->surface->h;
	
	this->type = SGUI_BUTTON;

	// rendere den text, so dass er daraufgeblittet werden kann
	SDL_Surface * temp;
	SDL_Rect src, dest;

	// text soll schwarz sein
	SDL_Color farbe;
	farbe.r = 0;
	farbe.g = 0;
	farbe.b = 0;
	farbe.unused = 0;

	// hole dir einen font
	TTF_Font * font = TTF_OpenFont(FONT, 3 * TEXTGROESSE / 2);

	TTF_SetFontStyle(font, TTF_STYLE_BOLD);

	// lass den text rendern
	temp = TTF_RenderText_Blended(font, text.c_str(), farbe);

	// entlade den font
	TTF_CloseFont(font);

	// die src-coords sind
	src.x = 0;
	src.y = 0;
	src.w = temp->w;
	src.h = temp->h;

	// die dest-coords sind (der text wird zentriert, das heit, um die hlfte dessen, was der hintergrund grer als der text ist verschoben)
	dest.x = (this->pxWidth - src.w) / 2;
	dest.y = (this->pxHeight - src.h) / 2;
	dest.w = src.w;
	dest.h = src.h;

	// kopiere dies auch auf den surface
	SDL_SetAlpha(temp, SDL_SRCALPHA | SDL_RLEACCEL, 0);
	SDL_BlitSurface(temp, &src, this->surface, &dest);

	// gib speicher frei
	SDL_FreeSurface(temp);

	// schalte alpha-blending fr den knopf an
	SDL_SetAlpha(this->surface, SDL_SRCALPHA | SDL_RLEACCEL, 0);
}


Knopf::~Knopf(){
	// auch hier reicht der destructor von object vollkommen
}


/** Die bergebene Funktion wird aufgerufen, wenn der Knopf gedrckt wird */
int Knopf::setAction(void (*action)(void)){
	this->action = action;
	this->actionSet = true;
	return 42;
}
/** Wird aufgerufen, wenn es eine Nachricht fr den Knopf gibt, und ruft die Actionfunktion auf, falls es geklickt wird. */
int Knopf::message(SDL_Event * event){
	if(event->type == SDL_MOUSEBUTTONDOWN && this->actionSet == true)
	{
		this->action();
		return 42;
	}
	return 1;
}
