/***************************************************************************
                          knopf.h  -  description
                             -------------------
    begin                : Die Feb 18 2003
    copyright            : (C) 2003 by Matthias Bach
    email                : marix@marix-world.de

    This file is part of Brandubh, a game that was develop for BWInf2002
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KNOPF_H
#define KNOPF_H

#include "sgui/sgui_object.h"

#include <string>

#include "config.h"

/**Eine einfache Implementation eines Druckknopfes, der von SGUI-Automatisch gezeichnet wird, und beim Anklicken eine Funktion auslst.
  *@author Matthias Bach
  */

class Knopf : public SGUI_Object  {
public: 
	Knopf(std::string text);
	~Knopf();
  /** Die bergebene Funktion wird aufgerufen, wenn der Knopf gedrckt wird */
  int setAction(void (*action)(void));
  /** Wird aufgerufen, wenn es eine Nachricht fr den Knopf gibt, und ruft die Actionfunktion auf, falls es geklickt wird. */
  int message(SDL_Event * event);
private:
  /** This is called if the object is clicked */
  void (*action)(void);
private: // Private attributes
  /** Action may only be called if true */
  bool actionSet;
};

#endif
