/***************************************************************************
                          sgui_textfield.h  -  description
                             -------------------
    begin                : Son Feb 9 2003
    copyright            : (C) 2003 by Matthias Bach
    email                : marix@marix-world.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SGUI_TEXTFIELD_H
#define SGUI_TEXTFIELD_H

/**Just something text can be put into. Therefore it'll need a value
  *@author Matthias Bach
  */

/** Notes:
  * The Rendering of this class really needs to be optimized. The class should
  * set a flag if something changed and rerender the text only if that flag is set
  */
    

#include <string>
#include <vector>
#include <SDL/SDL.h>
#include <SDL/SDL_ttf.h>

#include "sgui_object.h"

using namespace std;

class SGUI_Textfield : public SGUI_Object {
public: 
	SGUI_Textfield();
	~SGUI_Textfield();
  /** Add the Charecter to the Text */
  int addToText(char c);
  /** Returns the stuff currently wirtten to the field */
  string getText(void);
  /** As long as ther has no text been drawn, the object can be resized using this method */
  int setSize(int width, int height);
  /** Sets the color of the text. Range is from 0 to 255 each */
  int setTextColor(Uint8 red, Uint8 green, Uint8 blue, Uint8 alpha);
  /** Sets the given font as Rendering-font */
  int setFont(string fontName, int size);
  /** sets blablabla as value */
	int setText(string Text);
  /** Sends an event to the Textfield.
The message will get handled */
  int message(SDL_Event * event);
private: // Private attributes
  /** The "Value" of the objekt */
  string text;
  /** The text of the object broken up into lines */
  vector<string> lines;
  /** The font used to render the text */
  TTF_Font * font;
public: // Public attributes
  /** If this is true the text in the window can be edited by the user */
  bool writeable;
protected: // Protected attributes
  /** Contains the color of the text */
  SDL_Color textColor;
  /** How "high" a line of text is. */
  int lineHeight;
  /** The size of the Font */
  int fontSize;
  /**  the Name of the font */
  string fontName;
protected: // Protected methods
  /** Splits the Text of the textfield into lines that neatly fit into the window */
  int splitTextIntoLines();
  /** Renders the Text to the Surface */
  int renderText();
  /** Converts a pressed key into the corresponding character
  		returns 0*/
  char translate(SDL_keysym keysym);
};

#endif
